function [n] = WaveIndex2D(x,y,guide)

horz = -sum(guide.thick.horz)/2+[0,cumsum(guide.thick.horz)];
vert = -sum(guide.thick.vert)/2+[0,cumsum(guide.thick.vert)];

n = zeros(size(x));

for i = 1:length(guide.thick.horz)
   nx = (horz(i)<=x&x<=horz(i+1));
   for j = 1:length(guide.thick.vert)
      n = n+(nx&(vert(j)<=y)&(y<=vert(j+1))).*guide.index(j,i);
   end
end
