import sys
import numpy
from pylab import *
import math
import fabri
from time import *

# Kappa*LG scan for quarter wave shifted DFB with both facets AR coated

(delta_Lg,kappaLG,final_scan_results,titlestr,typestr) = fabri.dfb_qtr(1.0,50,140,100)

figure(2)
plot(delta_Lg,final_scan_results[:,2],'rs');
title(titlestr)
ylabel('$(\Gamma g_{th} - \\alpha_i)L_g$',fontsize = 16)
xlabel('$(\delta L_g)$',fontsize = 16)
grid(True)

show()

